Page 1 of 1

Swing GUI

Posted: Tue Oct 16, 2018 6:17 pm
by ItZskyler
i get this error in eclipse:

Code: Select all

- Access restriction: The constructor JFrame() is not accessible due to restriction on required library /usr/lib/jvm/jdk-8-oracle-arm32-vfp-hflt/jre/
	 lib/rt.jar
	- Access restriction: The type JFrame is not accessible due to restriction on required library /usr/lib/jvm/jdk-8-oracle-arm32-vfp-hflt/jre/lib/rt.jar
	- Access restriction: The type JFrame is not accessible due to restriction on required library /usr/lib/jvm/jdk-8-oracle-arm32-vfp-hflt/jre/lib/rt.jar

Re: Swing GUI

Posted: Tue Oct 16, 2018 6:22 pm
by DirkS
Ok.

Re: Swing GUI

Posted: Tue Oct 16, 2018 6:47 pm
by ItZskyler
You know how to fix it?

Re: Swing GUI

Posted: Tue Oct 16, 2018 7:09 pm
by ItZskyler
Uhm.. it works but it still gives an error

Re: Swing GUI

Posted: Tue Oct 16, 2018 9:15 pm
by PhatFil
on a pi? running raspbian? a sudo apt-get update and sudo apt-get upgrade should ensure that everything including java is all up to date, complete and current.

Re: Swing GUI

Posted: Wed Oct 17, 2018 11:21 am
by ItZskyler
It says acces restriction again and i updated

Re: Swing GUI

Posted: Wed Oct 17, 2018 3:21 pm
by scruss
This seems more of an Eclipse problem than a Raspberry Pi one. Can you try going to the "Order and Export" tab in Eclipse and move JRE System Library to the bottom? This is suggested here: https://stackoverflow.com/questions/860 ... 29_2174607, found via a search for the top line of your error message ('Access restriction: The constructor JFrame() is not accessible due to restriction on required library /usr/lib/jvm/jdk-8-oracle-arm32-vfp-hflt/jre/lib/rt.jar')